<?php class dike_product_updater{private $author;private $signature;private $update_endpoint;private $domain;private $dike_dash_url;private $renew_support_url;private $product_type;private $product_slug;private $product_data;private $current_version;private $upgr_post_inst_cb;private $plugin_slug;private $slug;private $theme_slug;private $update_is_avail=false;private $iu_update_is_avail=false;private $rdf_error=false;private $rdf_error_printed=false;private $has_valid_lic=false;private $license_type=false;private $license_shop=false;private $has_support_entit=false;private $license_domain_token=false;public $ajax_action_name;public $dike_prod_data;public function __construct($author,$author_config,$product_slug,$prod_type,$prod_filepath,$upgrader_post_install_callback=false,$avoid_files_deletion=false){global $dike_authors,$dike_products;$this->signature='dike_updates';$this->author=$author;$this->update_endpoint=$dike_authors[$author]['updates_endpoint_url'];$this->domain=dike_licenses::get_site_domain();$this->dike_dash_url=admin_url().'index.php?page=dike_wpd&author='.$author;$this->product_type=$prod_type;$this->product_slug=$product_slug;$this->product_data=($prod_type=='plugin')?get_plugin_data($prod_filepath):wp_get_theme();$this->current_version=($prod_type=='plugin')?$this->product_data['Version']:$this->product_data->get('Version');if($prod_type=='plugin'){$this->plugin_slug=plugin_basename($prod_filepath);list($t1,$t2)=explode('/',$this->plugin_slug);$this->slug=str_replace('.php','',$t2);$this->renew_support_url=$dike_products[$this->author][$this->plugin_slug]['buy_prod_link'];}else{$theme_dir_arr=explode('/',$prod_filepath);$this->theme_slug=end($theme_dir_arr);$this->renew_support_url=$dike_products[$this->author][$this->theme_slug]['buy_prod_link'];}$this->setup_license_prop($product_slug);add_action('admin_footer',array($this,'maybe_redirect_after_ajax_update'));if($prod_type=='plugin'){add_filter('plugin_row_meta',array($this,'plugins_list_wizard_btn'),100,2);add_filter('pre_set_site_transient_update_plugins',array($this,'plugin_check_update'));add_filter('site_transient_update_plugins',array($this,'plugin_check_update'));add_filter('plugins_api',array($this,'plugin_check_info'),100,3);add_filter('plugins_api',array($this,'set_plugin_info'),100,3);}else{add_filter('admin_footer',array($this,'themes_list_wizard_btn'),1);add_filter('pre_set_site_transient_update_themes',array($this,'theme_check_update'));add_filter('site_transient_update_themes',array($this,'theme_check_update'));}if(!$this->has_valid_lic||!$this->has_support_entit){$this->iu_check_for_updates($product_slug);}if(!empty($upgrader_post_install_callback)){$this->upgr_post_inst_cb=$upgrader_post_install_callback;add_filter('upgrader_post_install',array($this,'upgrader_post_install_callback'),1000,3);}if($avoid_files_deletion){add_filter('upgrader_package_options',array($this,'avoid_old_files_deletion'),999);}}private function setup_license_prop($product_slug){$lic_class=new dike_licenses($this->author);$licenses=$lic_class->get_licenses($force_check=false);if(!isset($licenses[$product_slug])){return false;}$this->has_valid_lic=true;$this->license_type=$licenses[$product_slug]['type'];$this->license_shop=(isset($licenses[$product_slug]['shop']))?$licenses[$product_slug]['shop']:'envato';$this->license_domain_token=$licenses[$product_slug]['tok'];$this->has_support_entit=($licenses[$product_slug]['set']-gmdate('U')>120)?true:false;}public function upgrader_post_install_callback($response,$hook_extra,$third){if(($this->product_type=='plugin'&&isset($hook_extra['plugin'])&&$hook_extra['plugin']==$this->plugin_slug)||($this->product_type=='theme'&&isset($hook_extra['theme'])&&$hook_extra['theme']==$this->theme_slug)){if(function_exists($this->upgr_post_inst_cb)){call_user_func_array($this->upgr_post_inst_cb,array());}}return $response;}public function avoid_old_files_deletion($options){if((isset($options['hook_extra']['plugin'])&&$options['hook_extra']['plugin']==$this->plugin_slug)||(isset($options['hook_extra']['theme'])&&$options['hook_extra']['theme']==$this->theme_slug)){$options["clear_destination"]=false;$options["abort_if_destination_exists"]=false;}return $options;}private function iu_float_to_new_vn($vn){if(!is_numeric($vn)){return $vn;}$new_vn=substr($vn,0,3).'.'.substr($vn,3);if(strpos($new_vn,'0.0')!==false){$new_vn=str_replace('0.0','0.0.',$new_vn);}if(substr($new_vn,-1)=='.'){$new_vn.='0';}return $new_vn;}public function getRemote($action='',$add_params=array(),$auto_params=true){$params=array('body'=>array('timeout'=>3,'action'=>$action,'sign'=>$this->signature,'subj'=>$this->product_slug,'sslverify'=>false,'reject_unsafe_urls'=>false,),);if(!empty($add_params)){foreach($add_params as $k=>$v){$params['body'][$k]=$v;}}if($auto_params){$params['body']['domain_token']=$this->license_domain_token;$params['body']['domain']=$this->domain;}if(!wp_http_supports(array('ssl'))){$this->update_endpoint=set_url_scheme($this->update_endpoint,'http');}add_filter('https_ssl_verify','__return_false',99999999);$request=wp_remote_post($this->update_endpoint,$params);if(!is_wp_error($request)&&wp_remote_retrieve_response_code($request)==200){return maybe_unserialize($request['body']);}else if(!is_wp_error($request)&&wp_remote_retrieve_response_code($request)==400){return $request['body'];}else if(is_wp_error($request)){return $request->get_error_message();}else{return json_encode($request);}return false;}public function admin_notice_error_report(){if($this->rdf_error_printed){return false;}echo '
        <div class="notice notice-error">
            <p><strong>'.$this->product_data['Name'].' - update data retrieval error:</strong><br/>'.$this->rdf_error.'</p>
        </div>';$this->rdf_error_printed=true;}public function maybe_redirect_after_ajax_update(){global $current_screen;if(!is_object($current_screen)||($current_screen->base!='plugins'&&$current_screen->base!='themes')||isset($GLOBALS['dike_maybe_redirect_after_ajax_update_done'])){return false;}if($current_screen->base=='plugins'): ?>
            <script type="text/javascript">
            !function(){"use strict";document.addEventListener("DOMContentLoaded",(()=>{document.querySelectorAll("tr.active.update").forEach((function(e){const t=e.nextSibling;t&&t.classList.contains("plugin-update-tr")&&t.querySelector(".update-link")&&t.querySelector(".update-link").addEventListener("click",(function(r){if(!e.querySelector(".dike_updater_btn_active")||!parseInt(e.querySelector(".dike_updater_btn_active").getAttribute("data-has-cl"),10))return;let a=setInterval((()=>{t.querySelector(".update-message")&&(t.querySelector(".updated-message")&&t.querySelector(".updated-message").classList.contains("notice-success")?(clearInterval(a),window.location.reload()):t.querySelector(".updated-message")&&t.querySelector(".updated-message").classList.contains("notice-error")&&clearInterval(a))}),100)}))}))}))}();
            </script>
        
        <?php elseif($current_screen->base=='themes'): ?>
        
          <script type="text/javascript">
            !function(){"use strict";document.addEventListener("DOMContentLoaded",(()=>{setTimeout((()=>{document.querySelectorAll(".theme .update-message").forEach((function(e){const t=e.parentNode;t.querySelector(".button-link")&&t.querySelector(".button-link").addEventListener("click",(function(e){if(!t.querySelector(".dike_updater_btn_active")||!parseInt(t.querySelector(".dike_updater_btn_active").getAttribute("data-has-cl"),10))return;let r=setInterval((()=>{t.querySelector(".updated-message")&&(t.querySelector(".updated-message").classList.contains("notice-success")?(clearInterval(r),window.location.reload()):t.querySelector(".updated-message").classList.contains("notice-error")&&clearInterval(r))}),100)}))}))}),300)}))}(),function(){"use strict";document.addEventListener("DOMContentLoaded",(()=>{setTimeout((()=>{document.querySelectorAll(".theme .update-message").forEach((function(e){const t=e.parentNode;t.querySelector(".button-link")&&t.querySelector(".button-link").addEventListener("click",(function(e){if(!t.querySelector(".dike_updater_btn_active")||!parseInt(t.querySelector(".dike_updater_btn_active").getAttribute("data-has-cl"),10))return;let r=setInterval((()=>{t.querySelector(".updated-message")&&(t.querySelector(".updated-message").classList.contains("notice-success")?(clearInterval(r),window.location.reload()):t.querySelector(".updated-message").classList.contains("notice-error")&&clearInterval(r))}),100)}))}))}),300)}))}();       
            </script>  

        <?php endif;$GLOBALS['dike_maybe_redirect_after_ajax_update_done']=true;}private function iu_check_for_updates($product_slug){if(!is_admin()){return false;}$transient_name='dike_'.$product_slug.'_updater_ver_check';$last_ver_num=get_transient($transient_name);if(empty($last_ver_num)||(strpos($_SERVER['REQUEST_URI'],'wp-admin/update-core.php')!==false&&isset($_GET['force-check']))){$last_ver_num=$this->getRemote('version_number',array(),false);if(empty($last_ver_num)||strpos($last_ver_num,'.')===false){return false;}else{set_transient($transient_name,$last_ver_num,HOUR_IN_SECONDS);}}if(version_compare($this->iu_float_to_new_vn($this->current_version),$this->iu_float_to_new_vn($last_ver_num),'<')){$this->iu_update_is_avail=$last_ver_num;add_filter('wp_get_update_data',array($this,'iu_increase_'.$this->product_type.'s_update_count'),999);add_action('core_upgrade_preamble',array($this,'iu_upgrade_core_message'));if($this->product_type=='plugin'){add_action("after_plugin_row_".$this->plugin_slug,array($this,'iu_plugins_list_warning'),10,3);}}}public function iu_increase_products_bubble_count(){if(isset($GLOBALS['dike_iu_bubble_val_increased'])){return false;}$plugins_count=(isset($GLOBALS['dike_iu_plugins_update_bubble_count']))?$GLOBALS['dike_iu_plugins_update_bubble_count']:false;$themes_count=(isset($GLOBALS['dike_iu_themes_update_bubble_count']))?$GLOBALS['dike_iu_themes_update_bubble_count']:false;$overall_count=(isset($GLOBALS['dike_iu_total_updates_bubble_count']))?$GLOBALS['dike_iu_total_updates_bubble_count']:false;if(!$plugins_count&&!$themes_count){return false;} ?>
        
        <script type="text/javascript">
        (function() { 
            "use strict"; 

            setTimeout(() => {
            
                <?php if($plugins_count): ?>

                    const new_plugins_bubble = `
                    <span class="update-plugins dike-bubble-counter count-<?php echo $plugins_count  ?>">
                        <span class="update-count"><?php echo $plugins_count  ?></span>
                    </span>`;

                    document.querySelectorAll('#menu-plugins .wp-menu-name').forEach(function($wrap) {
                        if($wrap.querySelector('.update-plugins')) {
                            $wrap.querySelector('.update-plugins').remove();       
                        }    

                        $wrap.innerHTML = $wrap.innerHTML + new_plugins_bubble; 
                    });
                <?php endif; ?>


                <?php if($themes_count): ?>

                    const new_themes_bubble = `
                    <span class="update-plugins dike-bubble-counter count-<?php echo $themes_count  ?>">
                        <span class="update-count"><?php echo $themes_count  ?></span>
                    </span>`;

                    document.querySelectorAll('#menu-appearance .wp-submenu a[href="themes.php"]').forEach(function($wrap) {
                        if($wrap.querySelector('.update-plugins')) {
                            $wrap.querySelector('.update-plugins').remove();       
                        }    

                        $wrap.innerHTML = $wrap.innerHTML + new_themes_bubble; 
                    });
                <?php endif; ?>



                const new_overall_bubble = `
                <span class="update-plugins dike-bubble-counter count-<?php echo $overall_count  ?>">
                    <span class="update-count"><?php echo $overall_count  ?></span>
                </span>`;

                document.querySelectorAll('#menu-dashboard .wp-submenu a[href="update-core.php"]').forEach(function($wrap) {
                    if($wrap.querySelector('.update-plugins')) {
                        $wrap.querySelector('.update-plugins').remove();       
                    }    

                    $wrap.innerHTML = $wrap.innerHTML + new_overall_bubble; 
                });
                
            }, 300); // why do I have to use a delay..? mah
        })(); 
		</script>
        <?php $GLOBALS['dike_iu_bubble_val_increased']=true;}public function iu_increase_plugins_update_count($update_data){if(isset($GLOBALS['dike_'.md5($this->plugin_slug).'_puc_increased'])){return $update_data;}$GLOBALS['dike_'.md5($this->plugin_slug).'_puc_increased']=true;$curr_plug_count=(isset($GLOBALS['dike_iu_plugins_update_bubble_count']))?$GLOBALS['dike_iu_plugins_update_bubble_count']:(int)$update_data['counts']['plugins'];$update_data['counts']['plugins']=$curr_plug_count+1;$curr_tot_count=(isset($GLOBALS['dike_iu_total_updates_bubble_count']))?$GLOBALS['dike_iu_total_updates_bubble_count']:(int)$update_data['counts']['total'];$update_data['counts']['total']=$curr_tot_count+1;$GLOBALS['dike_iu_plugins_update_bubble_count']=$update_data['counts']['plugins'];$GLOBALS['dike_iu_total_updates_bubble_count']=$update_data['counts']['total'];add_action('admin_footer',array($this,'iu_increase_products_bubble_count'),1);return $update_data;}public function iu_upgrade_core_message(){if(isset($GLOBALS['dike_'.md5($this->plugin_slug).'_iupw_printed'])||$this->license_type=='offline'){return '';}$GLOBALS['dike_'.md5($this->plugin_slug).'_iupw_printed']=true;$message=($this->has_valid_lic)?'<a href="'.$this->renew_support_url.'" target="_blank">Renew your support entitlement</a>':'<a href="'.$this->dike_dash_url.'" target="_blank">Register the license</a>';echo '
        <div class="notice notice-warning">
            <p>'.$this->product_data['Name'].' - <strong>'.$message.'</strong> to automatically get version '.$this->iu_update_is_avail.'</p>
        </div>';}public function iu_plugins_list_warning($plugin_file,$product_data,$status){if($this->license_type=='trial'||isset($GLOBALS['dike_'.md5($plugin_file).'_iupw_printed'])){return '';}$GLOBALS['dike_'.md5($plugin_file).'_iupw_printed']=true;$colspan=(((float)substr(get_bloginfo('version'),0,3)>=5.5))?4:3;if($this->license_type=='offline'){$message='<a href="https://1.envato.market/oebJ3o" target="_blank">Download it again</a>';$maybe_automat='';}else{$message=($this->has_valid_lic)?'<a href="'.$this->renew_support_url.'" target="_blank">Renew your support entitlement</a>':'<a href="'.$this->dike_dash_url.'" target="_blank">Register the license</a>';$maybe_automat=' automatically';} ?>
<tr class="active plugin-update-tr dike_iup_warn">
    <td colspan="<?php echo $colspan  ?>" class="plugin-update colspanchange">
        <div class="update-message notice inline notice-warning notice-alt">
            <p><?php echo esc_html__('New version available.').' '.$message.' to'.$maybe_automat.' get version '.$this->iu_update_is_avail  ?></p>
        </div>
    </td>
</tr>
        <?php }public function plugins_list_wizard_btn($links,$file){if($file!=$this->plugin_slug){return $links;}global $wp_version,$dike_authors;if(!$this->update_is_avail&&isset($links[2])&&strpos($links[2],'plugin-install.php?tab=plugin-information')!==false){$links[2]='<a href="'.esc_attr($this->product_data['PluginURI']).'" target="_blank">Visit plugin page</a>';}$is_5_8_or_later=(version_compare($wp_version,'5.8','>='))?1:0;$update_warn='<script type="text/javascript">
        (function() { 
            "use strict"; 

            setTimeout(function() {
                const $tr = document.querySelector(".active[data-plugin=\''.$this->plugin_slug.'\']");
                const is_5_8_or_later = '.$is_5_8_or_later.';
                
                if(is_5_8_or_later && $tr.nextElementSibling.classList.contains("plugin-update-tr")) {
                    $tr.classList.add("update");
                }
            }, 50);
        })(); 
        </script>';$btn_link=$this->dike_dash_url;$extra_faq='';if($this->has_valid_lic){if(in_array($this->license_type,array('production','staging'))){$btn_class=(!$this->has_support_entit)?'dike_updater_no_support':'dike_updater_btn_active';if(!$this->has_support_entit){$text='Support and automated-updates entitlement expired';}else{$text='Updater active';}$extra_faq=($this->license_shop=='envato'&&$dike_authors[$this->author]['no_support_no_upd_faq_url']&&!$this->has_support_entit)?'<a href="'.$dike_authors[$this->author]['no_support_no_upd_faq_url'].'" target="_blank" class="dashicons dashicons-editor-help dike_nsnu_faq" title="know more"></a>':'';if(!$this->has_support_entit){$btn_link=$this->dike_dash_url;}}else{$text=ucfirst($this->license_type).' license';$btn_class='dike_updater_'.$this->license_type.'_lic';}}else{$text='Register license to enable the updater';$btn_class='dike_updater_btn_inactive';$extra_faq='';}if(isset($this->dike_prod_data['doc_link'])&&!empty($this->dike_prod_data['doc_link'])){$links['dike_plugin_doc_link']='<a href="'.esc_attr($this->dike_prod_data['doc_link']).'" target="_blank" class="dike_pl_doc_link"><i class="dashicons dashicons-book"></i>Documentation</a>';}$prod_has_changelog=(empty($this->dike_prod_data['changelog_link']))?0:1;$links['dike_updater_wizard_btn']='<a href="'.$btn_link.'" class="dike_updater_btn '.$btn_class.'" data-author="'.$this->author.'" data-has-cl="'.$prod_has_changelog.'">'.$text.'</a>'.$extra_faq.$update_warn;return $links;}public function set_plugin_info($false,$action,$response){if(!isset($response->slug)||!$this->has_valid_lic||$response->slug!=$this->slug){return $false;}$global_var_index='dike_'.$this->product_slug.'_plugin_updater_ran';if(isset($GLOBALS[$global_var_index])){$remote_version=$GLOBALS[$global_var_index];}else{$remote_version=$this->getRemote('version');$GLOBALS[$global_var_index]=$remote_version;}if(!is_object($remote_version)){$this->rdf_error=$remote_version;add_action('admin_notices',array($this,'admin_notice_error_report'));return $false;}if(version_compare($this->iu_float_to_new_vn($this->current_version),$this->iu_float_to_new_vn($remote_version->new_version),'<')&&version_compare($remote_version->requires,get_bloginfo('version'),'<')&&version_compare($remote_version->requires_php,PHP_VERSION,'<')){$response->last_updated=$remote_version->last_updated;$response->slug=$this->slug;$response->name=$remote_version->name;$response->plugin_name=$this->plugin_slug;$response->version=$remote_version->new_version;$response->sections=$remote_version->sections;$response->requires=$remote_version->requires;$response->tested=$remote_version->tested;$response->requires_php=$remote_version->requires_php;$response->download_link=$remote_version->package;$response->author=$remote_version->author;$response->author_profile=$remote_version->author_profile;$response->banners=array('low'=>$this->dike_prod_data['logo_url'],'high'=>$this->dike_prod_data['logo_url']);$response->icons=array('default'=>$this->dike_prod_data['logo_url'],);$this->update_is_avail=true;return $response;}return $false;}public function plugin_check_update($transient){if(empty($transient)||!$this->has_valid_lic||!$this->has_support_entit){return $transient;}$global_var_index='dike_'.$this->product_slug.'_plugin_updater_ran';if(isset($GLOBALS[$global_var_index])){$remote_version=$GLOBALS[$global_var_index];}else{$remote_version=$this->getRemote('version');$GLOBALS[$global_var_index]=$remote_version;}if(!is_object($remote_version)){$this->rdf_error=$remote_version;add_action('admin_notices',array($this,'admin_notice_error_report'));return $transient;}if(is_object($remote_version)&&version_compare($this->iu_float_to_new_vn($this->current_version),$this->iu_float_to_new_vn($remote_version->new_version),'<')&&version_compare($remote_version->requires,get_bloginfo('version'),'<')&&version_compare($remote_version->requires_php,PHP_VERSION,'<')){$obj=new stdClass();$obj->name=$remote_version->name;$obj->slug=$this->slug;$obj->new_version=$remote_version->new_version;$obj->sections=$remote_version->sections;$obj->url=$remote_version->url;$obj->plugin=$this->plugin_slug;$obj->requires=$remote_version->requires;$obj->tested=$remote_version->tested;$obj->requires_php=$remote_version->requires_php;$obj->package=$remote_version->package;$obj->author=$remote_version->author;$obj->author_profile=$remote_version->author_profile;$obj->banners=array('low'=>$this->dike_prod_data['logo_url'],'high'=>$this->dike_prod_data['logo_url']);$obj->icons=array('default'=>$this->dike_prod_data['logo_url'],);$this->update_is_avail=true;$transient->response[$this->plugin_slug]=$obj;if(((float)substr(get_bloginfo('version'),0,3)>=5.5)){$transient->no_update[$this->plugin_slug]=$obj;}}return $transient;}public function plugin_check_info($false,$action,$arg){if(!$this->has_support_entit){return false;}if(isset($arg->slug)&&$arg->slug===$this->slug){$obj=$this->getRemote('info',false,true);$obj->slug=$this->slug;return $obj;}return false;}public function themes_list_wizard_btn(){global $current_screen,$dike_authors;if(!is_object($current_screen)||$current_screen->base!='themes'){return true;}$btn_link=$this->dike_dash_url;$extra_faq='';if($this->has_valid_lic){if(in_array($this->license_type,array('production','staging'))){$btn_class=(!$this->has_support_entit)?'dike_updater_no_support':'dike_updater_btn_active';if(!$this->has_support_entit){$text=($this->license_shop=='envato')?'Support period expired':'Support and updates entitlement expired';}else{$text='Updater active';}$extra_faq=($dike_authors[$this->author]['no_support_no_upd_faq_url']&&!$this->has_support_entit)?'<a href="'.$dike_authors[$this->author]['no_support_no_upd_faq_url'].'" target="_blank" class="dashicons dashicons-editor-help dike_nsnu_faq" title="know more"></a>':'';if(!$this->has_support_entit){$btn_link=$this->dike_dash_url;}}else{$text=ucfirst($this->license_type).' license';$btn_class='dike_updater_'.$this->license_type.'_lic';}}else{$text='Register license to enable the updater';$btn_class='dike_updater_btn_inactive';$extra_faq='';}$prod_has_changelog=(empty($this->dike_prod_data['changelog_link']))?0:1;$code='<a href="'.$btn_link.'" class="dike_updater_btn '.$btn_class.'" data-author="'.$this->author.'" data-has-cl="'.$prod_has_changelog.'">'.$text.'</a>'.$extra_faq.'</div>'; ?>
        <script type="text/javascript">
        (function() { 
            "use strict";  
            
            const intval = setInterval(() => {
                const selector = '.theme[data-slug="<?php echo esc_attr($this->theme_slug) ?>"] .theme-id-container';
                
                if(document.querySelector(selector)) {
                    clearInterval(intval);   
                    
                    const classname = 'dike_themes_list_updater_btn_wrap';
                    const div = document.createElement("div");
                    div.className = classname;
                    
                    document.querySelector(selector).insertAdjacentElement('beforebegin', div);
                    document.querySelector('.'+classname).innerHTML = `<?php echo $code  ?>`;
                }    
            }, 50);
        })();    
        </script>
        <?php }public function iu_increase_themes_update_count($update_data){if(isset($GLOBALS['dike_'.md5($this->theme_slug).'_puc_increased'])){return $update_data;}$GLOBALS['dike_'.md5($this->theme_slug).'_puc_increased']=true;$curr_themes_count=(float)$update_data['counts']['themes'];$update_data['counts']['themes']=$curr_themes_count+1;$curr_tot_count=(float)$update_data['counts']['total'];$update_data['counts']['total']=$curr_tot_count+1;$GLOBALS['dike_iu_themes_update_bubble_count']=$update_data['counts']['themes'];$GLOBALS['dike_iu_total_updates_bubble_count']=$update_data['counts']['total'];add_action('admin_footer',array($this,'iu_increase_products_bubble_count'),1);return $update_data;}public function theme_check_update($transient){global $current_screen;if(empty($transient)||!$this->has_valid_lic||!$this->has_support_entit){return $transient;}$remote_version=false;$transient_name='dike_'.$this->product_slug.'_theme_updater';if(isset($GLOBALS[$transient_name.'_ran'])){$remote_version=$GLOBALS[$transient_name.'_ran'];}else{if(!is_object($current_screen)||$current_screen->base!='update-core'){$remote_version=get_transient($transient_name);}if(!$remote_version){$remote_version=$this->getRemote('version');set_transient($transient_name,$remote_version,HOUR_IN_SECONDS);}$GLOBALS[$transient_name.'_ran']=$remote_version;}if(!is_object($remote_version)){$this->rdf_error=$remote_version;add_action('admin_notices',array($this,'admin_notice_error_report'));return $transient;}$data=array('theme'=>$this->theme_slug,'url'=>$this->dike_prod_data['changelog_link'],'requires'=>$remote_version->requires,'requires_php'=>$remote_version->requires_php,'new_version'=>$remote_version->new_version,'package'=>$remote_version->package,);if(version_compare($this->iu_float_to_new_vn($this->current_version),$this->iu_float_to_new_vn($remote_version->new_version),'<')&&version_compare($remote_version->requires,get_bloginfo('version'),'<')&&version_compare($remote_version->requires_php,PHP_VERSION,'<')){$transient->response[$this->theme_slug]=$data;$this->update_is_avail=true;}else{$transient->no_update[$this->theme_slug]=$data;}return $transient;}}