<?php
// REGISTER BLOCK
if(!defined('ABSPATH')) {exit;}


// structure
$defaults = array(
	'redirect' => array(
		'label'		=> esc_html__('Custom redirect', 'pc_ml'),
		'help'		=> esc_html__('Use a valid URL or "refresh" keyword', 'pc_ml'),
		'type'		=> 'text',
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'pc_align' => array(
		'label'		=> esc_html__('Form alignment', 'pc_ml'),
		'type'		=> 'select',
		'opts'		=> array(
			'center'	=> esc_html__('Center', 'pc_ml'),
			'left'		=> esc_html__('Left', 'pc_ml'),
			'right'		=> esc_html__('Right', 'pc_ml'),
		),
		'default' 	=> 'center',
		'panel'		=> 'main',
	),
);




$defaults = pc_fix_block_defs($defaults);

register_block_type('lcweb/pc-login-form', array(
	'editor_script' 	=> 'pc_login_on_guten',
	'render_callback' 	=> 'pc_login_guten_handler',
	'attributes' 		=> $defaults
));


wp_localize_script('wp-blocks', 'pc_login_defaults', $defaults);
